Subject: Traveling With Your Research Supplies? Here's How to Handle the Hotel Freezer Problem
From: Derek from Peptide Price <[email-masked]>
To: [email-masked]
Date: Sun, 22 Mar 2026 20:36:38 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/traveling-with-your-research-supplies

If you’re staying at a hotel without a freezer in your room, don’t overthink it — just call the front desk.
I’m heading back to Denver tomorrow and needed my ice pack frozen overnight. Walked down, asked the front desk if they’d be willing to throw it in their freezer so I could grab it at checkout. She was happy to do it and even reminded me to set an alarm because apparently, a lot of people forget to pick them up.
Most hotels will do this without hesitation — they deal with it regularly for medications and food. You just have to ask.
Pro tip actually came from my mom. We used to take long road trips growing up and she’d always pack sandwiches with ice packs. Whenever we stopped for the night, she’d ask the front desk to freeze them. Never once got turned down.
Set a reminder when you hand it off so you don’t leave it behind at checkout. That’s it.
Hope this helps someone who was overthinking it the same way I was.

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNVGM1TnpnNU55d2lhV0YwSWpveE56YzBNakV4T0RrekxDSmxlSEFpT2pFNE1EVTNORGM0T1RNc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LkhKVVlSWm9kTTdBSGxTLXRZbk1aa1FMOHFsa3JuaXlhS19LUjBRZ1B5ZUEiLCJwIjoxOTE3OTc4OTcsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc0MjExODkzLCJleHAiOjIwODk3ODc4OTMsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.ZyylFKKEQjXd238UCVLPds9J1ssVMHntgaW4Ws2HcNA?